<script>
  export let data_working = [];
  export let max_city;
  export let min_city;

  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 5, bottom: 10, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const rescale = function(value, min, max) {
    return (10*(value-min))/(max-min) + 1
  }
  const itemHeight=innerHeight/15;

  let createpath=(data,range_min,range_max)=>{
      let path="M 0,0";
          data.forEach((value,idx_day)=>{
              path+=" "+((innerWidth)/800*idx_day)+','+(-rescale(value,range_min,range_max))
            })
            path+=" "+((innerWidth))+",0"
          return path
    }
</script>

<svg {width} {height}>
    <g transform="translate({margin.left+100}, {margin.top})">
    {#each Object.keys(data_working) as item, item_idx}
        <g transform="translate(0,{itemHeight*item_idx})">
            <text font-size=9 x=-100>
              {item}
            </text>
            <path  d={createpath(data_working[item],min_city,max_city)}/>
        </g>
      {/each}
    </g>
</svg>


<style>
  svg {border: 2px red;}
</style>
